const command = {
  name: "join",
  desc: "make the bot listen to a channel",
  restricted: false,
  mod: false,
  run: async (client, msg) => {
    if (msg.channelName !== process.env.TWITCH_USERNAME) {
      await client.say(
        msg.channelName,
        `${msg.displayName}, command only in available in bots chat`
      );

      return;
    }
    if (client.joinedChannels.has(msg.senderUsername)) {
      await client.say(msg.channelName, `${msg.displayName}, already joined`);

      return;
    }

    await client
      .join(msg.senderUsername)
      .then(
        async () =>
          await client.say(
            msg.channelName,
            `${msg.displayName}, joined ${msg.senderUsername} BroBalt`
          )
      )
      .then(() => client.say(msg.senderUsername, "MrDestructoid"))
      .catch(
        async () =>
          await client.say(
            msg.channelName,
            `${msg.displayName}, the bot is probably in your chat, but can't speak because of phone number etc verification`
          )
      );
  },
};

module.exports = { command };
